function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"4",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;


function mini_create ()
show_help_wnd=true;
			init_mini(1);
  -- ОПИСАНИЕ ПАРАМЕТРОВ ДЛЯ ХАНОЙСКОЙ БАШНИ.
--  1-й параметр - Код игры. Для этой игры код - 26
--  2-й параметр - Количество дисков.
--  3-й параметр - КОНЕЧНЫЙ идентификатор дисков. Большой диск - большой идентификатор, маленкий диск - маленький идентификатор.
--  4-й параметр - Высота подставки.
--  5-й параметр - X-координата верхнего левого угла 1-го стержня.
--  6-й параметр - Y-координата верхнего левого угла 1-го стержня.
--  7-й параметр - X-координата нижнего правого угла 1-го стержня.
--  8-й параметр - Y-координата нижнего правого угла 1-го стержня.
--  9-й параметр - X-координата верхнего левого угла 2-го стержня.
-- 10-й параметр - Y-координата верхнего левого угла 2-го стержня.
-- 11-й параметр - X-координата нижнего правого угла 2-го стержня.
-- 12-й параметр - Y-координата нижнего правого угла 2-го стержня.
-- 13-й параметр - X-координата верхнего левого угла 3-го стержня.
-- 14-й параметр - Y-координата верхнего левого угла 3-го стержня.
-- 15-й параметр - X-координата нижнего правого угла 3-го стержня.
-- 16-й параметр - Y-координата нижнего правого угла 3-го стержня.
	create_mini(26,5,1005,60,263,228,392,484,459,228,587,484,655,228,783,484,100);
	
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)


	
	if sender==30 then
		setcurentleaf("gym",14,2);
		DarkScreen(false);
		if flags.minicomplete3 then
		    StopEmiter("Gant");
			speciale_action(2,111,true);
			setcolor(111,0,0,0,1,1);
			Set_Cursor(13,3)
			savegame(SaveLevel())
		return;end
	return; end;
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"4",100,"messageinfo")
		end;			
	   BlockCursor(false)
	return;end;
	
	if sender==36 then
		if id==2100 then
		clear_satelite_leaf("gym");
		BlockCursor(false);
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete3=true;
		playeffect("miniC");
		StartTimer(2100,2)
		BlockCursor(true);
	return; end;

	if sender==6 then
		if mousepresed==true
		then
			RemoveFromMouse(objectid);
			check_mini_game_Hanoi(objectid);
			counter=0;
			for i=1001,1005,1 do  	
			xx,yy=GetObjectPosition(i);
			if xx>=390 and xx<=520 and yy>=180 and yy<=484 then
				counter=counter+1;
			end;		
			end;
			if counter==5 then finish_mini_game(true) end;			
			mousepresed=false;
			objectid=0;
		end
	return;end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
	
		if id==6000 then
			   CreateWindow(200,200,"4",100,"messageinfo")
		return;end;			
		if id==5000 and skipping and objectid==0 then
		if not flags.minicomplete3 then
			playeffect("skip");
			finish_mini_game(true);
		return;end;	
		return;end;
		if id==1021 and objectid==0 then
			playeffect("close");
		    finish_mini_game(false);
			clear_satelite_leaf("gym");
			DeleteResource("cm_bg");
			DeleteResource("cm_btn");
			DeleteResource("cm_light");
			DeleteResource("cm_reset");
			DeleteResource("cm_disk1");
			DeleteResource("cm_disk2");
			DeleteResource("cm_disk3");
			DeleteResource("cm_disk4");
			DeleteResource("cm_disk5");

		return;end
		if id==1016
      then
        if mousepressed
          then
			playeffect("hanoi");
            RemoveFromMouse(objectid);
            mousepresed=false;
            objectid=0;
          end;		

		check_mini_game_Hanoi(-1);
		return;
      end;		
		if id>1000 and id<1006 then
			add_to_mouse(id);
			mousepresed=true;
			objectid=id;
		return 0; end	
	return;end;

	
end;
function mini_delete ()

end;